## org.apache.batik.util.gui
Class MemoryMonitor.Usage

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.apache.batik.util.gui.MemoryMonitor.Usage

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, MemoryMonitor.MemoryChangeListener, java.awt.MenuContainer, java.io.Serializable

Enclosing class:
  MemoryMonitor

public static class MemoryMonitor.Usage
extends javax.swing.JPanel
implements MemoryMonitor.MemoryChangeListener

Displays the current memory usage.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected static double` `BLOCK_HEIGHT` The blocks height.
`protected static int` `BLOCK_MARGIN` The blocks margin.
`protected static int[]` `BLOCK_TYPE` The blocks type.
`protected static double` `BLOCK_WIDTH` The blocks width.
`protected static int` `BLOCKS` The number of blocks.
`protected java.awt.Font` `font` The font used to draw the strings.
`protected static int` `FONT_SIZE` The font size.
`protected java.awt.Color[]` `freeColors` The color of the free blocks for each block type.
`protected long` `freeMemory` The free memory.
`protected static boolean` `POSTFIX` The text position.
`static int` `PREFERRED_HEIGHT` The preferred height.
`static int` `PREFERRED_WIDTH` The preferred width.
`protected java.awt.Color` `textColor` The text color.
`protected static java.lang.String` `TOTAL` The total string.
`protected long` `totalMemory` The total memory.
`protected static java.lang.String` `UNITS` The units string.
`protected static java.lang.String` `USED` The used string.
`protected java.awt.Color[]` `usedColors` The color of the used blocks for each block type.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MemoryMonitor.Usage()` Creates a new Usage object.

Method Summary
`void` `memoryStateChanged(long total, long free)` Indicates that the memory state has changed.
`protected void` `paintComponent(java.awt.Graphics g)` To paint the component.
`void` `setHighFreeMemoryColor(java.awt.Color c)` Sets the high free memory block color.
`void` `setHighUsedMemoryColor(java.awt.Color c)` Sets the high used memory block color.
`void` `setLowFreeMemoryColor(java.awt.Color c)` Sets the low free memory block color.
`void` `setLowUsedMemoryColor(java.awt.Color c)` Sets the low used memory block color.
`void` `setMediumFreeMemoryColor(java.awt.Color c)` Sets the medium free memory block color.
`void` `setMediumUsedMemoryColor(java.awt.Color c)` Sets the medium used memory block color.
`void` `setTextColor(java.awt.Color c)` Sets the text color.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREFERRED_WIDTH

    public static final int PREFERRED_WIDTH

  The preferred width.

  See Also:
    Constant Field Values

### PREFERRED_HEIGHT

    public static final int PREFERRED_HEIGHT

  The preferred height.

  See Also:
    Constant Field Values

### UNITS

    protected static final java.lang.String UNITS

  The units string.

### TOTAL

    protected static final java.lang.String TOTAL

  The total string.

### USED

    protected static final java.lang.String USED

  The used string.

### POSTFIX

    protected static final boolean POSTFIX

  The text position.

### FONT_SIZE

    protected static final int FONT_SIZE

  The font size.

  See Also:
    Constant Field Values

### BLOCK_MARGIN

    protected static final int BLOCK_MARGIN

  The blocks margin.

  See Also:
    Constant Field Values

### BLOCKS

    protected static final int BLOCKS

  The number of blocks.

  See Also:
    Constant Field Values

### BLOCK_WIDTH

    protected static final double BLOCK_WIDTH

  The blocks width.

  See Also:
    Constant Field Values

### BLOCK_HEIGHT

    protected static final double BLOCK_HEIGHT

  The blocks height.

  See Also:
    Constant Field Values

### BLOCK_TYPE

    protected static final int[] BLOCK_TYPE

  The blocks type.

### usedColors

    protected java.awt.Color[] usedColors

  The color of the used blocks for each block type.

### freeColors

    protected java.awt.Color[] freeColors

  The color of the free blocks for each block type.

### font

    protected java.awt.Font font

  The font used to draw the strings.

### textColor

    protected java.awt.Color textColor

  The text color.

### totalMemory

    protected long totalMemory

  The total memory.

### freeMemory

    protected long freeMemory

  The free memory.

Constructor Detail

### MemoryMonitor.Usage

    public MemoryMonitor.Usage()

  Creates a new Usage object.

Method Detail

### memoryStateChanged

    public void memoryStateChanged(long total,
                                   long free)

  Indicates that the memory state has changed.

  Specified by:
    `memoryStateChanged` in interface `MemoryMonitor.MemoryChangeListener`
  Parameters:
    `total` - The total amount of memory.
    `free` - The free memory.

### setTextColor

    public void setTextColor(java.awt.Color c)

  Sets the text color.

### setLowUsedMemoryColor

    public void setLowUsedMemoryColor(java.awt.Color c)

  Sets the low used memory block color.

### setMediumUsedMemoryColor

    public void setMediumUsedMemoryColor(java.awt.Color c)

  Sets the medium used memory block color.

### setHighUsedMemoryColor

    public void setHighUsedMemoryColor(java.awt.Color c)

  Sets the high used memory block color.

### setLowFreeMemoryColor

    public void setLowFreeMemoryColor(java.awt.Color c)

  Sets the low free memory block color.

### setMediumFreeMemoryColor

    public void setMediumFreeMemoryColor(java.awt.Color c)

  Sets the medium free memory block color.

### setHighFreeMemoryColor

    public void setHighFreeMemoryColor(java.awt.Color c)

  Sets the high free memory block color.

### paintComponent

    protected void paintComponent(java.awt.Graphics g)

  To paint the component.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.